
_wait:

;function.c,1 :: 		void wait(unsigned int time){
;function.c,4 :: 		for(i=0;i<time;i++){
	CLRF        R1 
	CLRF        R2 
L_wait0:
	MOVF        FARG_wait_time+1, 0 
	SUBWF       R2, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__wait106
	MOVF        FARG_wait_time+0, 0 
	SUBWF       R1, 0 
L__wait106:
	BTFSC       STATUS+0, 0 
	GOTO        L_wait1
;function.c,5 :: 		delay_ms(1);
	MOVLW       16
	MOVWF       R12, 0
	MOVLW       148
	MOVWF       R13, 0
L_wait3:
	DECFSZ      R13, 1, 1
	BRA         L_wait3
	DECFSZ      R12, 1, 1
	BRA         L_wait3
	NOP
;function.c,6 :: 		asm clrwdt;
	CLRWDT
;function.c,4 :: 		for(i=0;i<time;i++){
	INFSNZ      R1, 1 
	INCF        R2, 1 
;function.c,7 :: 		}
	GOTO        L_wait0
L_wait1:
;function.c,8 :: 		}
L_end_wait:
	RETURN      0
; end of _wait

_Send74HC595:

;function.c,10 :: 		void Send74HC595(unsigned short buffer){
;function.c,12 :: 		for(i=0;i<8;i++){
	CLRF        R1 
L_Send74HC5954:
	MOVLW       8
	SUBWF       R1, 0 
	BTFSC       STATUS+0, 0 
	GOTO        L_Send74HC5955
;function.c,13 :: 		if(buffer.B7)
	BTFSS       FARG_Send74HC595_buffer+0, 7 
	GOTO        L_Send74HC5957
;function.c,14 :: 		DS=1;
	BSF         LATB3_bit+0, BitPos(LATB3_bit+0) 
	GOTO        L_Send74HC5958
L_Send74HC5957:
;function.c,16 :: 		DS=0;
	BCF         LATB3_bit+0, BitPos(LATB3_bit+0) 
L_Send74HC5958:
;function.c,18 :: 		SH_CP=1;
	BSF         LATE2_bit+0, BitPos(LATE2_bit+0) 
;function.c,19 :: 		asm nop;
	NOP
;function.c,20 :: 		SH_CP=0;
	BCF         LATE2_bit+0, BitPos(LATE2_bit+0) 
;function.c,22 :: 		buffer<<=1;
	RLCF        FARG_Send74HC595_buffer+0, 1 
	BCF         FARG_Send74HC595_buffer+0, 0 
;function.c,12 :: 		for(i=0;i<8;i++){
	INCF        R1, 1 
;function.c,23 :: 		}
	GOTO        L_Send74HC5954
L_Send74HC5955:
;function.c,24 :: 		}
L_end_Send74HC595:
	RETURN      0
; end of _Send74HC595

_LCD_PrintInt:

;function.c,26 :: 		void LCD_PrintInt(unsigned short row, unsigned short col, unsigned int number, unsigned short digits){
;function.c,28 :: 		digits--;
	DECF        FARG_LCD_PrintInt_digits+0, 1 
;function.c,29 :: 		do{
L_LCD_PrintInt9:
;function.c,30 :: 		buffer=number%10+48;
	MOVLW       10
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVF        FARG_LCD_PrintInt_number+0, 0 
	MOVWF       R0 
	MOVF        FARG_LCD_PrintInt_number+1, 0 
	MOVWF       R1 
	CALL        _Div_16X16_U+0, 0
	MOVF        R8, 0 
	MOVWF       R0 
	MOVF        R9, 0 
	MOVWF       R1 
	MOVLW       48
	ADDWF       R0, 0 
	MOVWF       FARG_Lcd_Chr_out_char+0 
;function.c,31 :: 		number/=10;
	MOVLW       10
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVF        FARG_LCD_PrintInt_number+0, 0 
	MOVWF       R0 
	MOVF        FARG_LCD_PrintInt_number+1, 0 
	MOVWF       R1 
	CALL        _Div_16X16_U+0, 0
	MOVF        R0, 0 
	MOVWF       FARG_LCD_PrintInt_number+0 
	MOVF        R1, 0 
	MOVWF       FARG_LCD_PrintInt_number+1 
;function.c,32 :: 		Lcd_Chr(row,col+digits,buffer);
	MOVF        FARG_LCD_PrintInt_row+0, 0 
	MOVWF       FARG_Lcd_Chr_row+0 
	MOVF        FARG_LCD_PrintInt_digits+0, 0 
	ADDWF       FARG_LCD_PrintInt_col+0, 0 
	MOVWF       FARG_Lcd_Chr_column+0 
	CALL        _Lcd_Chr+0, 0
;function.c,33 :: 		}while(digits--);
	MOVF        FARG_LCD_PrintInt_digits+0, 0 
	MOVWF       R0 
	DECF        FARG_LCD_PrintInt_digits+0, 1 
	MOVF        R0, 1 
	BTFSS       STATUS+0, 2 
	GOTO        L_LCD_PrintInt9
;function.c,34 :: 		}
L_end_LCD_PrintInt:
	RETURN      0
; end of _LCD_PrintInt

_UpdateExternalPorts:

;function.c,37 :: 		void UpdateExternalPorts(){
;function.c,38 :: 		if(timerUpdateExternalPort==500){
	MOVF        _timerUpdateExternalPort+1, 0 
	XORLW       1
	BTFSS       STATUS+0, 2 
	GOTO        L__UpdateExternalPorts110
	MOVLW       244
	XORWF       _timerUpdateExternalPort+0, 0 
L__UpdateExternalPorts110:
	BTFSS       STATUS+0, 2 
	GOTO        L_UpdateExternalPorts12
;function.c,39 :: 		timerUpdateExternalPort=0;
	CLRF        _timerUpdateExternalPort+0 
	CLRF        _timerUpdateExternalPort+1 
;function.c,40 :: 		if(LATI==0b00000000)
	MOVF        _LATI+0, 0 
	XORLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L_UpdateExternalPorts13
;function.c,41 :: 		LATI=0b00000001;
	MOVLW       1
	MOVWF       _LATI+0 
L_UpdateExternalPorts13:
;function.c,43 :: 		ST_CP=0;
	BCF         LATE1_bit+0, BitPos(LATE1_bit+0) 
;function.c,44 :: 		SH_CP=0;
	BCF         LATE2_bit+0, BitPos(LATE2_bit+0) 
;function.c,45 :: 		DS=0;
	BCF         LATB3_bit+0, BitPos(LATB3_bit+0) 
;function.c,48 :: 		Send74HC595(LATF);
	MOVF        _LATF+0, 0 
	MOVWF       FARG_Send74HC595_buffer+0 
	CALL        _Send74HC595+0, 0
;function.c,52 :: 		Send74HC595(LATG);
	MOVF        _LATG+0, 0 
	MOVWF       FARG_Send74HC595_buffer+0 
	CALL        _Send74HC595+0, 0
;function.c,56 :: 		Send74HC595(LATH);
	MOVF        _LATH+0, 0 
	MOVWF       FARG_Send74HC595_buffer+0 
	CALL        _Send74HC595+0, 0
;function.c,59 :: 		Send74HC595(LATI);
	MOVF        _LATI+0, 0 
	MOVWF       FARG_Send74HC595_buffer+0 
	CALL        _Send74HC595+0, 0
;function.c,61 :: 		ST_CP=1;
	BSF         LATE1_bit+0, BitPos(LATE1_bit+0) 
;function.c,62 :: 		asm nop;
	NOP
;function.c,63 :: 		ST_CP=0;
	BCF         LATE1_bit+0, BitPos(LATE1_bit+0) 
;function.c,65 :: 		switch(LATI){
	GOTO        L_UpdateExternalPorts14
;function.c,66 :: 		case 0b00000001:
L_UpdateExternalPorts16:
;function.c,67 :: 		PORTI0_bit=DIPSW;
	BTFSC       RA5_bit+0, BitPos(RA5_bit+0) 
	GOTO        L__UpdateExternalPorts111
	BCF         _PORTI+0, 0 
	GOTO        L__UpdateExternalPorts112
L__UpdateExternalPorts111:
	BSF         _PORTI+0, 0 
L__UpdateExternalPorts112:
;function.c,68 :: 		break;
	GOTO        L_UpdateExternalPorts15
;function.c,69 :: 		case 0b00000010:
L_UpdateExternalPorts17:
;function.c,70 :: 		PORTI1_bit=DIPSW;
	BTFSC       RA5_bit+0, BitPos(RA5_bit+0) 
	GOTO        L__UpdateExternalPorts113
	BCF         _PORTI+0, 1 
	GOTO        L__UpdateExternalPorts114
L__UpdateExternalPorts113:
	BSF         _PORTI+0, 1 
L__UpdateExternalPorts114:
;function.c,71 :: 		break;
	GOTO        L_UpdateExternalPorts15
;function.c,72 :: 		case 0b00000100:
L_UpdateExternalPorts18:
;function.c,73 :: 		PORTI2_bit=DIPSW;
	BTFSC       RA5_bit+0, BitPos(RA5_bit+0) 
	GOTO        L__UpdateExternalPorts115
	BCF         _PORTI+0, 2 
	GOTO        L__UpdateExternalPorts116
L__UpdateExternalPorts115:
	BSF         _PORTI+0, 2 
L__UpdateExternalPorts116:
;function.c,74 :: 		break;
	GOTO        L_UpdateExternalPorts15
;function.c,75 :: 		case 0b00001000:
L_UpdateExternalPorts19:
;function.c,76 :: 		PORTI3_bit=DIPSW;
	BTFSC       RA5_bit+0, BitPos(RA5_bit+0) 
	GOTO        L__UpdateExternalPorts117
	BCF         _PORTI+0, 3 
	GOTO        L__UpdateExternalPorts118
L__UpdateExternalPorts117:
	BSF         _PORTI+0, 3 
L__UpdateExternalPorts118:
;function.c,77 :: 		break;
	GOTO        L_UpdateExternalPorts15
;function.c,78 :: 		case 0b00010000:
L_UpdateExternalPorts20:
;function.c,79 :: 		PORTI4_bit=DIPSW;
	BTFSC       RA5_bit+0, BitPos(RA5_bit+0) 
	GOTO        L__UpdateExternalPorts119
	BCF         _PORTI+0, 4 
	GOTO        L__UpdateExternalPorts120
L__UpdateExternalPorts119:
	BSF         _PORTI+0, 4 
L__UpdateExternalPorts120:
;function.c,80 :: 		break;
	GOTO        L_UpdateExternalPorts15
;function.c,81 :: 		case 0b00100000:
L_UpdateExternalPorts21:
;function.c,82 :: 		PORTI5_bit=DIPSW;
	BTFSC       RA5_bit+0, BitPos(RA5_bit+0) 
	GOTO        L__UpdateExternalPorts121
	BCF         _PORTI+0, 5 
	GOTO        L__UpdateExternalPorts122
L__UpdateExternalPorts121:
	BSF         _PORTI+0, 5 
L__UpdateExternalPorts122:
;function.c,83 :: 		break;
	GOTO        L_UpdateExternalPorts15
;function.c,84 :: 		case 0b01000000:
L_UpdateExternalPorts22:
;function.c,85 :: 		PORTI6_bit=DIPSW;
	BTFSC       RA5_bit+0, BitPos(RA5_bit+0) 
	GOTO        L__UpdateExternalPorts123
	BCF         _PORTI+0, 6 
	GOTO        L__UpdateExternalPorts124
L__UpdateExternalPorts123:
	BSF         _PORTI+0, 6 
L__UpdateExternalPorts124:
;function.c,86 :: 		break;
	GOTO        L_UpdateExternalPorts15
;function.c,87 :: 		case 0b10000000:
L_UpdateExternalPorts23:
;function.c,88 :: 		PORTI7_bit=DIPSW;
	BTFSC       RA5_bit+0, BitPos(RA5_bit+0) 
	GOTO        L__UpdateExternalPorts125
	BCF         _PORTI+0, 7 
	GOTO        L__UpdateExternalPorts126
L__UpdateExternalPorts125:
	BSF         _PORTI+0, 7 
L__UpdateExternalPorts126:
;function.c,89 :: 		break;
	GOTO        L_UpdateExternalPorts15
;function.c,90 :: 		}
L_UpdateExternalPorts14:
	MOVF        _LATI+0, 0 
	XORLW       1
	BTFSC       STATUS+0, 2 
	GOTO        L_UpdateExternalPorts16
	MOVF        _LATI+0, 0 
	XORLW       2
	BTFSC       STATUS+0, 2 
	GOTO        L_UpdateExternalPorts17
	MOVF        _LATI+0, 0 
	XORLW       4
	BTFSC       STATUS+0, 2 
	GOTO        L_UpdateExternalPorts18
	MOVF        _LATI+0, 0 
	XORLW       8
	BTFSC       STATUS+0, 2 
	GOTO        L_UpdateExternalPorts19
	MOVF        _LATI+0, 0 
	XORLW       16
	BTFSC       STATUS+0, 2 
	GOTO        L_UpdateExternalPorts20
	MOVF        _LATI+0, 0 
	XORLW       32
	BTFSC       STATUS+0, 2 
	GOTO        L_UpdateExternalPorts21
	MOVF        _LATI+0, 0 
	XORLW       64
	BTFSC       STATUS+0, 2 
	GOTO        L_UpdateExternalPorts22
	MOVF        _LATI+0, 0 
	XORLW       128
	BTFSC       STATUS+0, 2 
	GOTO        L_UpdateExternalPorts23
L_UpdateExternalPorts15:
;function.c,91 :: 		LATI<<=1;
	RLCF        _LATI+0, 1 
	BCF         _LATI+0, 0 
;function.c,92 :: 		}
L_UpdateExternalPorts12:
;function.c,93 :: 		timerUpdateExternalPort++;
	INFSNZ      _timerUpdateExternalPort+0, 1 
	INCF        _timerUpdateExternalPort+1, 1 
;function.c,94 :: 		}
L_end_UpdateExternalPorts:
	RETURN      0
; end of _UpdateExternalPorts

_getChar:

;display.c,1 :: 		char getChar(char c){
;display.c,2 :: 		switch(c){
	GOTO        L_getChar24
;display.c,3 :: 		case 'A': return 0xDE;
L_getChar26:
	MOVLW       222
	MOVWF       R0 
	GOTO        L_end_getChar
;display.c,4 :: 		case 'B': return 0xF4;
L_getChar27:
	MOVLW       244
	MOVWF       R0 
	GOTO        L_end_getChar
;display.c,5 :: 		case 'C': return 0xB8;
L_getChar28:
	MOVLW       184
	MOVWF       R0 
	GOTO        L_end_getChar
;display.c,6 :: 		case 'D': return 0xE6;
L_getChar29:
	MOVLW       230
	MOVWF       R0 
	GOTO        L_end_getChar
;display.c,7 :: 		case 'E': return 0xF8;
L_getChar30:
	MOVLW       248
	MOVWF       R0 
	GOTO        L_end_getChar
;display.c,8 :: 		case 'F': return 0xD8;
L_getChar31:
	MOVLW       216
	MOVWF       R0 
	GOTO        L_end_getChar
;display.c,9 :: 		case 'G': return 0xBC;
L_getChar32:
	MOVLW       188
	MOVWF       R0 
	GOTO        L_end_getChar
;display.c,10 :: 		case 'H': return 0xD6;
L_getChar33:
	MOVLW       214
	MOVWF       R0 
	GOTO        L_end_getChar
;display.c,11 :: 		case 'I': return 0x06;
L_getChar34:
	MOVLW       6
	MOVWF       R0 
	GOTO        L_end_getChar
;display.c,12 :: 		case 'J': return 0xA6;
L_getChar35:
	MOVLW       166
	MOVWF       R0 
	GOTO        L_end_getChar
;display.c,13 :: 		case 'K': return 0xD4;
L_getChar36:
	MOVLW       212
	MOVWF       R0 
	GOTO        L_end_getChar
;display.c,14 :: 		case 'L': return 0xB0;
L_getChar37:
	MOVLW       176
	MOVWF       R0 
	GOTO        L_end_getChar
;display.c,15 :: 		case 'M': return 0xCC;
L_getChar38:
	MOVLW       204
	MOVWF       R0 
	GOTO        L_end_getChar
;display.c,16 :: 		case 'N': return 0xC4;
L_getChar39:
	MOVLW       196
	MOVWF       R0 
	GOTO        L_end_getChar
;display.c,17 :: 		case 'O': return 0xE4;
L_getChar40:
	MOVLW       228
	MOVWF       R0 
	GOTO        L_end_getChar
;display.c,18 :: 		case 'P': return 0xDA;
L_getChar41:
	MOVLW       218
	MOVWF       R0 
	GOTO        L_end_getChar
;display.c,19 :: 		case 'Q': return 0x5E;
L_getChar42:
	MOVLW       94
	MOVWF       R0 
	GOTO        L_end_getChar
;display.c,20 :: 		case 'R': return 0xC0;
L_getChar43:
	MOVLW       192
	MOVWF       R0 
	GOTO        L_end_getChar
;display.c,21 :: 		case 'S': return 0x7C;
L_getChar44:
	MOVLW       124
	MOVWF       R0 
	GOTO        L_end_getChar
;display.c,22 :: 		case 'T': return 0xF0;
L_getChar45:
	MOVLW       240
	MOVWF       R0 
	GOTO        L_end_getChar
;display.c,23 :: 		case 'U': return 0xB6;
L_getChar46:
	MOVLW       182
	MOVWF       R0 
	GOTO        L_end_getChar
;display.c,24 :: 		case 'V': return 0xA4;
L_getChar47:
	MOVLW       164
	MOVWF       R0 
	GOTO        L_end_getChar
;display.c,25 :: 		case 'Y': return 0x76;
L_getChar48:
	MOVLW       118
	MOVWF       R0 
	GOTO        L_end_getChar
;display.c,26 :: 		case 'Z': return 0xEA;
L_getChar49:
	MOVLW       234
	MOVWF       R0 
	GOTO        L_end_getChar
;display.c,27 :: 		case '0': return 0xBE;
L_getChar50:
	MOVLW       190
	MOVWF       R0 
	GOTO        L_end_getChar
;display.c,28 :: 		case '1': return 0x06;
L_getChar51:
	MOVLW       6
	MOVWF       R0 
	GOTO        L_end_getChar
;display.c,29 :: 		case '2': return 0xEA;
L_getChar52:
	MOVLW       234
	MOVWF       R0 
	GOTO        L_end_getChar
;display.c,30 :: 		case '3': return 0x6E;
L_getChar53:
	MOVLW       110
	MOVWF       R0 
	GOTO        L_end_getChar
;display.c,31 :: 		case '4': return 0x56;
L_getChar54:
	MOVLW       86
	MOVWF       R0 
	GOTO        L_end_getChar
;display.c,32 :: 		case '5': return 0x7C;
L_getChar55:
	MOVLW       124
	MOVWF       R0 
	GOTO        L_end_getChar
;display.c,33 :: 		case '6': return 0xFC;
L_getChar56:
	MOVLW       252
	MOVWF       R0 
	GOTO        L_end_getChar
;display.c,34 :: 		case '7': return 0x0E;
L_getChar57:
	MOVLW       14
	MOVWF       R0 
	GOTO        L_end_getChar
;display.c,35 :: 		case '8': return 0xFE;
L_getChar58:
	MOVLW       254
	MOVWF       R0 
	GOTO        L_end_getChar
;display.c,36 :: 		case '9': return 0x7E;
L_getChar59:
	MOVLW       126
	MOVWF       R0 
	GOTO        L_end_getChar
;display.c,37 :: 		case ' ': return 0x00;
L_getChar60:
	CLRF        R0 
	GOTO        L_end_getChar
;display.c,38 :: 		}
L_getChar24:
	MOVF        FARG_getChar_c+0, 0 
	XORLW       65
	BTFSC       STATUS+0, 2 
	GOTO        L_getChar26
	MOVF        FARG_getChar_c+0, 0 
	XORLW       66
	BTFSC       STATUS+0, 2 
	GOTO        L_getChar27
	MOVF        FARG_getChar_c+0, 0 
	XORLW       67
	BTFSC       STATUS+0, 2 
	GOTO        L_getChar28
	MOVF        FARG_getChar_c+0, 0 
	XORLW       68
	BTFSC       STATUS+0, 2 
	GOTO        L_getChar29
	MOVF        FARG_getChar_c+0, 0 
	XORLW       69
	BTFSC       STATUS+0, 2 
	GOTO        L_getChar30
	MOVF        FARG_getChar_c+0, 0 
	XORLW       70
	BTFSC       STATUS+0, 2 
	GOTO        L_getChar31
	MOVF        FARG_getChar_c+0, 0 
	XORLW       71
	BTFSC       STATUS+0, 2 
	GOTO        L_getChar32
	MOVF        FARG_getChar_c+0, 0 
	XORLW       72
	BTFSC       STATUS+0, 2 
	GOTO        L_getChar33
	MOVF        FARG_getChar_c+0, 0 
	XORLW       73
	BTFSC       STATUS+0, 2 
	GOTO        L_getChar34
	MOVF        FARG_getChar_c+0, 0 
	XORLW       74
	BTFSC       STATUS+0, 2 
	GOTO        L_getChar35
	MOVF        FARG_getChar_c+0, 0 
	XORLW       75
	BTFSC       STATUS+0, 2 
	GOTO        L_getChar36
	MOVF        FARG_getChar_c+0, 0 
	XORLW       76
	BTFSC       STATUS+0, 2 
	GOTO        L_getChar37
	MOVF        FARG_getChar_c+0, 0 
	XORLW       77
	BTFSC       STATUS+0, 2 
	GOTO        L_getChar38
	MOVF        FARG_getChar_c+0, 0 
	XORLW       78
	BTFSC       STATUS+0, 2 
	GOTO        L_getChar39
	MOVF        FARG_getChar_c+0, 0 
	XORLW       79
	BTFSC       STATUS+0, 2 
	GOTO        L_getChar40
	MOVF        FARG_getChar_c+0, 0 
	XORLW       80
	BTFSC       STATUS+0, 2 
	GOTO        L_getChar41
	MOVF        FARG_getChar_c+0, 0 
	XORLW       81
	BTFSC       STATUS+0, 2 
	GOTO        L_getChar42
	MOVF        FARG_getChar_c+0, 0 
	XORLW       82
	BTFSC       STATUS+0, 2 
	GOTO        L_getChar43
	MOVF        FARG_getChar_c+0, 0 
	XORLW       83
	BTFSC       STATUS+0, 2 
	GOTO        L_getChar44
	MOVF        FARG_getChar_c+0, 0 
	XORLW       84
	BTFSC       STATUS+0, 2 
	GOTO        L_getChar45
	MOVF        FARG_getChar_c+0, 0 
	XORLW       85
	BTFSC       STATUS+0, 2 
	GOTO        L_getChar46
	MOVF        FARG_getChar_c+0, 0 
	XORLW       86
	BTFSC       STATUS+0, 2 
	GOTO        L_getChar47
	MOVF        FARG_getChar_c+0, 0 
	XORLW       89
	BTFSC       STATUS+0, 2 
	GOTO        L_getChar48
	MOVF        FARG_getChar_c+0, 0 
	XORLW       90
	BTFSC       STATUS+0, 2 
	GOTO        L_getChar49
	MOVF        FARG_getChar_c+0, 0 
	XORLW       48
	BTFSC       STATUS+0, 2 
	GOTO        L_getChar50
	MOVF        FARG_getChar_c+0, 0 
	XORLW       49
	BTFSC       STATUS+0, 2 
	GOTO        L_getChar51
	MOVF        FARG_getChar_c+0, 0 
	XORLW       50
	BTFSC       STATUS+0, 2 
	GOTO        L_getChar52
	MOVF        FARG_getChar_c+0, 0 
	XORLW       51
	BTFSC       STATUS+0, 2 
	GOTO        L_getChar53
	MOVF        FARG_getChar_c+0, 0 
	XORLW       52
	BTFSC       STATUS+0, 2 
	GOTO        L_getChar54
	MOVF        FARG_getChar_c+0, 0 
	XORLW       53
	BTFSC       STATUS+0, 2 
	GOTO        L_getChar55
	MOVF        FARG_getChar_c+0, 0 
	XORLW       54
	BTFSC       STATUS+0, 2 
	GOTO        L_getChar56
	MOVF        FARG_getChar_c+0, 0 
	XORLW       55
	BTFSC       STATUS+0, 2 
	GOTO        L_getChar57
	MOVF        FARG_getChar_c+0, 0 
	XORLW       56
	BTFSC       STATUS+0, 2 
	GOTO        L_getChar58
	MOVF        FARG_getChar_c+0, 0 
	XORLW       57
	BTFSC       STATUS+0, 2 
	GOTO        L_getChar59
	MOVF        FARG_getChar_c+0, 0 
	XORLW       32
	BTFSC       STATUS+0, 2 
	GOTO        L_getChar60
;display.c,39 :: 		return 0;
	CLRF        R0 
;display.c,40 :: 		}
L_end_getChar:
	RETURN      0
; end of _getChar

_PrintText:

;display.c,42 :: 		void PrintText(char *str){
;display.c,43 :: 		LATF=getChar(str[0]);
	MOVFF       FARG_PrintText_str+0, FSR0L+0
	MOVFF       FARG_PrintText_str+1, FSR0H+0
	MOVF        POSTINC0+0, 0 
	MOVWF       FARG_getChar_c+0 
	CALL        _getChar+0, 0
	MOVF        R0, 0 
	MOVWF       _LATF+0 
;display.c,44 :: 		LATG=getChar(str[1]);
	MOVLW       1
	ADDWF       FARG_PrintText_str+0, 0 
	MOVWF       FSR0L+0 
	MOVLW       0
	ADDWFC      FARG_PrintText_str+1, 0 
	MOVWF       FSR0L+1 
	MOVF        POSTINC0+0, 0 
	MOVWF       FARG_getChar_c+0 
	CALL        _getChar+0, 0
	MOVF        R0, 0 
	MOVWF       _LATG+0 
;display.c,45 :: 		}
L_end_PrintText:
	RETURN      0
; end of _PrintText

_PrintInt:

;display.c,46 :: 		void PrintInt(unsigned short number){
;display.c,48 :: 		if(number>99)
	MOVF        FARG_PrintInt_number+0, 0 
	SUBLW       99
	BTFSC       STATUS+0, 0 
	GOTO        L_PrintInt61
;display.c,49 :: 		number=number%100;
	MOVLW       100
	MOVWF       R4 
	MOVF        FARG_PrintInt_number+0, 0 
	MOVWF       R0 
	CALL        _Div_8X8_U+0, 0
	MOVF        R8, 0 
	MOVWF       R0 
	MOVF        R0, 0 
	MOVWF       FARG_PrintInt_number+0 
L_PrintInt61:
;display.c,51 :: 		LATF=getChar(number/10+48);
	MOVLW       10
	MOVWF       R4 
	MOVF        FARG_PrintInt_number+0, 0 
	MOVWF       R0 
	CALL        _Div_8X8_U+0, 0
	MOVLW       48
	ADDWF       R0, 0 
	MOVWF       FARG_getChar_c+0 
	CALL        _getChar+0, 0
	MOVF        R0, 0 
	MOVWF       _LATF+0 
;display.c,52 :: 		LATG=getChar(number%10+48);
	MOVLW       10
	MOVWF       R4 
	MOVF        FARG_PrintInt_number+0, 0 
	MOVWF       R0 
	CALL        _Div_8X8_U+0, 0
	MOVF        R8, 0 
	MOVWF       R0 
	MOVLW       48
	ADDWF       R0, 0 
	MOVWF       FARG_getChar_c+0 
	CALL        _getChar+0, 0
	MOVF        R0, 0 
	MOVWF       _LATG+0 
;display.c,53 :: 		}
L_end_PrintInt:
	RETURN      0
; end of _PrintInt

_InitTimer2:

;initialize.c,2 :: 		void InitTimer2(){
;initialize.c,3 :: 		T2CON             = 0x14;
	MOVLW       20
	MOVWF       T2CON+0 
;initialize.c,4 :: 		TMR2IE_bit = 1;
	BSF         TMR2IE_bit+0, BitPos(TMR2IE_bit+0) 
;initialize.c,5 :: 		PR2        = 199;
	MOVLW       199
	MOVWF       PR2+0 
;initialize.c,6 :: 		}
L_end_InitTimer2:
	RETURN      0
; end of _InitTimer2

_InitMCU:

;initialize.c,8 :: 		void InitMCU(){
;initialize.c,10 :: 		TRISA=0b00101010;// [][][DIPSW][LED][TRIMPOT2][BUZZER][TRIMPOT1][RELAY]
	MOVLW       42
	MOVWF       TRISA+0 
;initialize.c,11 :: 		TRISB=0b11100100;// [BUTTON_DOWN][BUTTON_UP][BUTTON_OK][IN4][DS][BUTTON_MENU][][]
	MOVLW       228
	MOVWF       TRISB+0 
;initialize.c,12 :: 		TRISC=0b10000001;// [RXD][TXD][][][][LEDG-IN3][EXT_OUT][EXT_IN]
	MOVLW       129
	MOVWF       TRISC+0 
;initialize.c,13 :: 		TRISD=0b00000000;// [LCD_RS][LCD_EN][LCD_D4][LCD_D5][LCD_D6][LCD_D7][LEDB-IN1][LEDR-IN2]
	CLRF        TRISD+0 
;initialize.c,14 :: 		TRISE=0b00000000;// [][][][][][SH_CP][ST_CP][DS18B20]
	CLRF        TRISE+0 
;initialize.c,17 :: 		ANSELA=0b00001010;// [][][][][TRIMPOT2][][TRIMPOT1][]
	MOVLW       10
	MOVWF       ANSELA+0 
;initialize.c,18 :: 		ANSELB=0b00000000;// [][][][][][][][]
	CLRF        ANSELB+0 
;initialize.c,19 :: 		ANSELC=0b00000000;// [][][][][][][][]
	CLRF        ANSELC+0 
;initialize.c,20 :: 		ANSELD=0b00000000;// [][][][][][][][]
	CLRF        ANSELD+0 
;initialize.c,21 :: 		ANSELE=0b00000000;// [][][][][][][][]
	CLRF        ANSELE+0 
;initialize.c,24 :: 		LATA=0x00;
	CLRF        LATA+0 
;initialize.c,25 :: 		LATB=0x00;
	CLRF        LATB+0 
;initialize.c,26 :: 		LATC=0x00;
	CLRF        LATC+0 
;initialize.c,27 :: 		LATD=0x00;
	CLRF        LATD+0 
;initialize.c,28 :: 		LATE=0x00;
	CLRF        LATE+0 
;initialize.c,31 :: 		InitTimer2();
	CALL        _InitTimer2+0, 0
;initialize.c,34 :: 		UART1_Init(9600);
	BSF         BAUDCON+0, 3, 0
	MOVLW       4
	MOVWF       SPBRGH+0 
	MOVLW       225
	MOVWF       SPBRG+0 
	BSF         TXSTA+0, 2, 0
	CALL        _UART1_Init+0, 0
;initialize.c,37 :: 		I2C1_Init(50000);
	MOVLW       240
	MOVWF       SSP1ADD+0 
	CALL        _I2C1_Init+0, 0
;initialize.c,40 :: 		ADC_Init();
	CALL        _ADC_Init+0, 0
;initialize.c,43 :: 		Lcd_Init();
	CALL        _Lcd_Init+0, 0
;initialize.c,44 :: 		Lcd_Cmd(_LCD_CURSOR_OFF);
	MOVLW       12
	MOVWF       FARG_Lcd_Cmd_out_char+0 
	CALL        _Lcd_Cmd+0, 0
;initialize.c,45 :: 		Lcd_Cmd(_LCD_CLEAR);
	MOVLW       1
	MOVWF       FARG_Lcd_Cmd_out_char+0 
	CALL        _Lcd_Cmd+0, 0
;initialize.c,48 :: 		PEIE_bit=1;
	BSF         PEIE_bit+0, BitPos(PEIE_bit+0) 
;initialize.c,49 :: 		GIE_bit=1;
	BSF         GIE_bit+0, BitPos(GIE_bit+0) 
;initialize.c,50 :: 		}
L_end_InitMCU:
	RETURN      0
; end of _InitMCU

_ReadDS18B20:

;ds18b20.c,4 :: 		
;ds18b20.c,6 :: 		
	CLRF        ReadDS18B20_temperature_L0+0 
;ds18b20.c,8 :: 		
	MOVLW       PORTE+0
	MOVWF       FARG_Ow_Reset_port+0 
	MOVLW       hi_addr(PORTE+0)
	MOVWF       FARG_Ow_Reset_port+1 
	CLRF        FARG_Ow_Reset_pin+0 
	CALL        _Ow_Reset+0, 0
;ds18b20.c,9 :: 		
	MOVLW       PORTE+0
	MOVWF       FARG_Ow_Write_port+0 
	MOVLW       hi_addr(PORTE+0)
	MOVWF       FARG_Ow_Write_port+1 
	CLRF        FARG_Ow_Write_pin+0 
	MOVLW       204
	MOVWF       FARG_Ow_Write_data_+0 
	CALL        _Ow_Write+0, 0
;ds18b20.c,10 :: 		
	MOVLW       PORTE+0
	MOVWF       FARG_Ow_Write_port+0 
	MOVLW       hi_addr(PORTE+0)
	MOVWF       FARG_Ow_Write_port+1 
	CLRF        FARG_Ow_Write_pin+0 
	MOVLW       68
	MOVWF       FARG_Ow_Write_data_+0 
	CALL        _Ow_Write+0, 0
;ds18b20.c,11 :: 		
	MOVLW       46
	MOVWF       R11, 0
	MOVLW       169
	MOVWF       R12, 0
	MOVLW       47
	MOVWF       R13, 0
L_ReadDS18B2062:
	DECFSZ      R13, 1, 1
	BRA         L_ReadDS18B2062
	DECFSZ      R12, 1, 1
	BRA         L_ReadDS18B2062
	DECFSZ      R11, 1, 1
	BRA         L_ReadDS18B2062
;ds18b20.c,13 :: 		
	MOVLW       PORTE+0
	MOVWF       FARG_Ow_Reset_port+0 
	MOVLW       hi_addr(PORTE+0)
	MOVWF       FARG_Ow_Reset_port+1 
	CLRF        FARG_Ow_Reset_pin+0 
	CALL        _Ow_Reset+0, 0
;ds18b20.c,14 :: 		
	MOVLW       PORTE+0
	MOVWF       FARG_Ow_Write_port+0 
	MOVLW       hi_addr(PORTE+0)
	MOVWF       FARG_Ow_Write_port+1 
	CLRF        FARG_Ow_Write_pin+0 
	MOVLW       204
	MOVWF       FARG_Ow_Write_data_+0 
	CALL        _Ow_Write+0, 0
;ds18b20.c,15 :: 		
	MOVLW       PORTE+0
	MOVWF       FARG_Ow_Write_port+0 
	MOVLW       hi_addr(PORTE+0)
	MOVWF       FARG_Ow_Write_port+1 
	CLRF        FARG_Ow_Write_pin+0 
	MOVLW       190
	MOVWF       FARG_Ow_Write_data_+0 
	CALL        _Ow_Write+0, 0
;ds18b20.c,17 :: 		
	MOVLW       PORTE+0
	MOVWF       FARG_Ow_Read_port+0 
	MOVLW       hi_addr(PORTE+0)
	MOVWF       FARG_Ow_Read_port+1 
	CLRF        FARG_Ow_Read_pin+0 
	CALL        _Ow_Read+0, 0
	MOVF        R0, 0 
	MOVWF       ReadDS18B20_tempDataLSB_L0+0 
;ds18b20.c,18 :: 		
	MOVLW       PORTE+0
	MOVWF       FARG_Ow_Read_port+0 
	MOVLW       hi_addr(PORTE+0)
	MOVWF       FARG_Ow_Read_port+1 
	CLRF        FARG_Ow_Read_pin+0 
	CALL        _Ow_Read+0, 0
;ds18b20.c,20 :: 		
	MOVF        R0, 0 
	MOVWF       R2 
	RLCF        R2, 1 
	BCF         R2, 0 
	RLCF        R2, 1 
	BCF         R2, 0 
	RLCF        R2, 1 
	BCF         R2, 0 
	RLCF        R2, 1 
	BCF         R2, 0 
	MOVF        R2, 0 
	MOVWF       ReadDS18B20_temperature_L0+0 
;ds18b20.c,21 :: 		
	MOVF        ReadDS18B20_tempDataLSB_L0+0, 0 
	MOVWF       R0 
	RRCF        R0, 1 
	BCF         R0, 7 
	RRCF        R0, 1 
	BCF         R0, 7 
	RRCF        R0, 1 
	BCF         R0, 7 
	RRCF        R0, 1 
	BCF         R0, 7 
	MOVF        R0, 0 
	ADDWF       R2, 0 
	MOVWF       R1 
	MOVF        R1, 0 
	MOVWF       ReadDS18B20_temperature_L0+0 
;ds18b20.c,23 :: 		
	MOVLW       128
	XORWF       R1, 0 
	MOVWF       R0 
	MOVLW       128
	XORLW       201
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 0 
	GOTO        L__ReadDS18B20103
	MOVLW       128
	XORLW       125
	MOVWF       R0 
	MOVLW       128
	XORWF       ReadDS18B20_temperature_L0+0, 0 
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 0 
	GOTO        L__ReadDS18B20103
	GOTO        L_ReadDS18B2065
L__ReadDS18B20103:
;ds18b20.c,24 :: 		
	CLRF        R0 
	GOTO        L_end_ReadDS18B20
L_ReadDS18B2065:
;ds18b20.c,28 :: 		
	MOVLW       128
	XORWF       ReadDS18B20_temperature_L0+0, 0 
	MOVWF       R0 
	MOVLW       128
	XORLW       0
	SUBWF       R0, 0 
	BTFSC       STATUS+0, 0 
	GOTO        L_ReadDS18B2066
;ds18b20.c,29 :: 		
	MOVLW       45
	MOVWF       _TEXT_TEMPERATURE+0 
;ds18b20.c,30 :: 		
	MOVF        ReadDS18B20_temperature_L0+0, 0 
	SUBLW       0
	MOVWF       ReadDS18B20_buffer_L0+0 
;ds18b20.c,31 :: 		
	GOTO        L_ReadDS18B2067
L_ReadDS18B2066:
;ds18b20.c,33 :: 		
	MOVF        ReadDS18B20_temperature_L0+0, 0 
	MOVWF       ReadDS18B20_buffer_L0+0 
;ds18b20.c,34 :: 		
	MOVLW       100
	MOVWF       R4 
	MOVF        ReadDS18B20_temperature_L0+0, 0 
	MOVWF       R0 
	CALL        _Div_8X8_S+0, 0
	MOVLW       48
	ADDWF       R0, 0 
	MOVWF       R1 
	MOVF        R1, 0 
	MOVWF       _TEXT_TEMPERATURE+0 
;ds18b20.c,35 :: 		
	MOVF        R1, 0 
	XORLW       48
	BTFSS       STATUS+0, 2 
	GOTO        L_ReadDS18B2068
;ds18b20.c,36 :: 		
	MOVLW       32
	MOVWF       _TEXT_TEMPERATURE+0 
L_ReadDS18B2068:
;ds18b20.c,37 :: 		
L_ReadDS18B2067:
;ds18b20.c,39 :: 		
	MOVLW       100
	MOVWF       R4 
	MOVF        ReadDS18B20_buffer_L0+0, 0 
	MOVWF       R0 
	CALL        _Div_8X8_S+0, 0
	MOVF        R8, 0 
	MOVWF       R0 
	MOVLW       10
	MOVWF       R4 
	CALL        _Div_8X8_S+0, 0
	MOVLW       48
	ADDWF       R0, 0 
	MOVWF       _TEXT_TEMPERATURE+1 
;ds18b20.c,40 :: 		
	MOVF        _TEXT_TEMPERATURE+0, 0 
	XORLW       32
	BTFSS       STATUS+0, 2 
	GOTO        L_ReadDS18B2071
	MOVF        _TEXT_TEMPERATURE+1, 0 
	XORLW       48
	BTFSS       STATUS+0, 2 
	GOTO        L_ReadDS18B2071
L__ReadDS18B20102:
;ds18b20.c,41 :: 		
	MOVLW       32
	MOVWF       _TEXT_TEMPERATURE+1 
L_ReadDS18B2071:
;ds18b20.c,42 :: 		
	MOVLW       10
	MOVWF       R4 
	MOVF        ReadDS18B20_buffer_L0+0, 0 
	MOVWF       R0 
	CALL        _Div_8X8_S+0, 0
	MOVF        R8, 0 
	MOVWF       R0 
	MOVLW       48
	ADDWF       R0, 0 
	MOVWF       _TEXT_TEMPERATURE+2 
;ds18b20.c,44 :: 		
	MOVF        ReadDS18B20_temperature_L0+0, 0 
	MOVWF       R0 
;ds18b20.c,45 :: 		
L_end_ReadDS18B20:
	RETURN      0
; end of _ReadDS18B20

_SetRGB:

;rgb.c,6 :: 		
;rgb.c,7 :: 		
	MOVF        FARG_SetRGB_Red+0, 0 
	MOVWF       _LimitR+0 
;rgb.c,8 :: 		
	MOVF        FARG_SetRGB_Green+0, 0 
	MOVWF       _LimitG+0 
;rgb.c,9 :: 		
	MOVF        FARG_SetRGB_Blue+0, 0 
	MOVWF       _LimitB+0 
;rgb.c,10 :: 		
	MOVLW       1
	MOVWF       _RGB_Controls+0 
;rgb.c,11 :: 		
L_end_SetRGB:
	RETURN      0
; end of _SetRGB

_RGB_Listener:

;rgb.c,13 :: 		
;rgb.c,14 :: 		
	MOVF        _RGB_Controls+0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L_RGB_Listener72
;rgb.c,15 :: 		
	MOVF        _LimitR+0, 0 
	SUBWF       _CounterR+0, 0 
	BTFSC       STATUS+0, 0 
	GOTO        L_RGB_Listener73
	BSF         LATD0_bit+0, BitPos(LATD0_bit+0) 
	GOTO        L_RGB_Listener74
L_RGB_Listener73:
;rgb.c,16 :: 		
	BCF         LATD0_bit+0, BitPos(LATD0_bit+0) 
L_RGB_Listener74:
;rgb.c,17 :: 		
	INCF        _CounterR+0, 1 
;rgb.c,19 :: 		
	MOVF        _LimitG+0, 0 
	SUBWF       _CounteRG+0, 0 
	BTFSC       STATUS+0, 0 
	GOTO        L_RGB_Listener75
	BSF         LATC2_bit+0, BitPos(LATC2_bit+0) 
	GOTO        L_RGB_Listener76
L_RGB_Listener75:
;rgb.c,20 :: 		
	BCF         LATC2_bit+0, BitPos(LATC2_bit+0) 
L_RGB_Listener76:
;rgb.c,21 :: 		
	INCF        _CounteRG+0, 1 
;rgb.c,23 :: 		
	MOVF        _LimitB+0, 0 
	SUBWF       _CounterB+0, 0 
	BTFSC       STATUS+0, 0 
	GOTO        L_RGB_Listener77
	BSF         LATD1_bit+0, BitPos(LATD1_bit+0) 
	GOTO        L_RGB_Listener78
L_RGB_Listener77:
;rgb.c,24 :: 		
	BCF         LATD1_bit+0, BitPos(LATD1_bit+0) 
L_RGB_Listener78:
;rgb.c,25 :: 		
	INCF        _CounterB+0, 1 
;rgb.c,26 :: 		
L_RGB_Listener72:
;rgb.c,27 :: 		
L_end_RGB_Listener:
	RETURN      0
; end of _RGB_Listener

_InitStep:

;step.c,15 :: 		
;step.c,16 :: 		
	MOVLW       1
	MOVWF       _Step_Controls+0 
;step.c,17 :: 		
L_end_InitStep:
	RETURN      0
; end of _InitStep

_step_delay_10us:

;step.c,19 :: 		
;step.c,20 :: 		
L_step_delay_10us79:
	MOVF        FARG_step_delay_10us_time+0, 0 
	MOVWF       R0 
	MOVF        FARG_step_delay_10us_time+1, 0 
	MOVWF       R1 
	MOVLW       1
	SUBWF       FARG_step_delay_10us_time+0, 1 
	MOVLW       0
	SUBWFB      FARG_step_delay_10us_time+1, 1 
	MOVF        R0, 0 
	IORWF       R1, 0 
	BTFSC       STATUS+0, 2 
	GOTO        L_step_delay_10us80
;step.c,21 :: 		
	CALL        _Delay_10us+0, 0
	GOTO        L_step_delay_10us79
L_step_delay_10us80:
;step.c,22 :: 		
L_end_step_delay_10us:
	RETURN      0
; end of _step_delay_10us

_StepMotorListener:

;step.c,27 :: 		
;step.c,28 :: 		
	MOVF        _Step_Controls+0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L_StepMotorListener81
;step.c,29 :: 		
	MOVF        _currentLocation+1, 0 
	XORWF       FARG_StepMotorListener_location+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__StepMotorListener138
	MOVF        FARG_StepMotorListener_location+0, 0 
	XORWF       _currentLocation+0, 0 
L__StepMotorListener138:
	BTFSC       STATUS+0, 2 
	GOTO        L_StepMotorListener82
;step.c,30 :: 		
	MOVLW       50
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVF        FARG_StepMotorListener_time+0, 0 
	MOVWF       R0 
	MOVF        FARG_StepMotorListener_time+1, 0 
	MOVWF       R1 
	CALL        _Div_16X16_U+0, 0
	MOVF        R0, 0 
	MOVWF       FARG_StepMotorListener_time+0 
	MOVF        R1, 0 
	MOVWF       FARG_StepMotorListener_time+1 
;step.c,31 :: 		
	INCF        _stepTimer+0, 1 
;step.c,32 :: 		
	MOVLW       0
	SUBWF       R1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__StepMotorListener139
	MOVF        _stepTimer+0, 0 
	SUBWF       R0, 0 
L__StepMotorListener139:
	BTFSC       STATUS+0, 0 
	GOTO        L_StepMotorListener83
;step.c,33 :: 		
	CLRF        _stepTimer+0 
;step.c,34 :: 		
	MOVF        FARG_StepMotorListener_location+1, 0 
	SUBWF       _currentLocation+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__StepMotorListener140
	MOVF        FARG_StepMotorListener_location+0, 0 
	SUBWF       _currentLocation+0, 0 
L__StepMotorListener140:
	BTFSC       STATUS+0, 0 
	GOTO        L_StepMotorListener84
;step.c,35 :: 		
	INFSNZ      _currentLocation+0, 1 
	INCF        _currentLocation+1, 1 
;step.c,36 :: 		
	MOVLW       3
	ANDWF       _currentLocation+0, 0 
	MOVWF       R0 
	MOVF        _currentLocation+1, 0 
	MOVWF       R1 
	MOVLW       0
	ANDWF       R1, 1 
	MOVLW       _stepFull+0
	ADDWF       R0, 0 
	MOVWF       R2 
	MOVLW       hi_addr(_stepFull+0)
	ADDWFC      R1, 0 
	MOVWF       R3 
	MOVFF       R2, FSR0L+0
	MOVFF       R3, FSR0H+0
	MOVF        POSTINC0+0, 0 
	MOVWF       R0 
	BTFSC       R0, 0 
	GOTO        L__StepMotorListener141
	BCF         LATD1_bit+0, BitPos(LATD1_bit+0) 
	GOTO        L__StepMotorListener142
L__StepMotorListener141:
	BSF         LATD1_bit+0, BitPos(LATD1_bit+0) 
L__StepMotorListener142:
;step.c,37 :: 		
	MOVFF       R2, FSR0L+0
	MOVFF       R3, FSR0H+0
	MOVF        POSTINC0+0, 0 
	MOVWF       R0 
	BTFSC       R0, 1 
	GOTO        L__StepMotorListener143
	BCF         LATD0_bit+0, BitPos(LATD0_bit+0) 
	GOTO        L__StepMotorListener144
L__StepMotorListener143:
	BSF         LATD0_bit+0, BitPos(LATD0_bit+0) 
L__StepMotorListener144:
;step.c,38 :: 		
	MOVFF       R2, FSR0L+0
	MOVFF       R3, FSR0H+0
	MOVF        POSTINC0+0, 0 
	MOVWF       R0 
	BTFSC       R0, 2 
	GOTO        L__StepMotorListener145
	BCF         LATC2_bit+0, BitPos(LATC2_bit+0) 
	GOTO        L__StepMotorListener146
L__StepMotorListener145:
	BSF         LATC2_bit+0, BitPos(LATC2_bit+0) 
L__StepMotorListener146:
;step.c,39 :: 		
	MOVFF       R2, FSR0L+0
	MOVFF       R3, FSR0H+0
	MOVF        POSTINC0+0, 0 
	MOVWF       R0 
	BTFSC       R0, 3 
	GOTO        L__StepMotorListener147
	BCF         LATB4_bit+0, BitPos(LATB4_bit+0) 
	GOTO        L__StepMotorListener148
L__StepMotorListener147:
	BSF         LATB4_bit+0, BitPos(LATB4_bit+0) 
L__StepMotorListener148:
;step.c,40 :: 		
	GOTO        L_StepMotorListener85
L_StepMotorListener84:
;step.c,41 :: 		
	MOVF        _currentLocation+1, 0 
	SUBWF       FARG_StepMotorListener_location+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__StepMotorListener149
	MOVF        _currentLocation+0, 0 
	SUBWF       FARG_StepMotorListener_location+0, 0 
L__StepMotorListener149:
	BTFSC       STATUS+0, 0 
	GOTO        L_StepMotorListener86
;step.c,42 :: 		
	MOVLW       1
	SUBWF       _currentLocation+0, 1 
	MOVLW       0
	SUBWFB      _currentLocation+1, 1 
;step.c,43 :: 		
	MOVLW       3
	ANDWF       _currentLocation+0, 0 
	MOVWF       R0 
	MOVF        _currentLocation+1, 0 
	MOVWF       R1 
	MOVLW       0
	ANDWF       R1, 1 
	MOVLW       _stepFull+0
	ADDWF       R0, 0 
	MOVWF       R2 
	MOVLW       hi_addr(_stepFull+0)
	ADDWFC      R1, 0 
	MOVWF       R3 
	MOVFF       R2, FSR0L+0
	MOVFF       R3, FSR0H+0
	MOVF        POSTINC0+0, 0 
	MOVWF       R0 
	BTFSC       R0, 0 
	GOTO        L__StepMotorListener150
	BCF         LATD1_bit+0, BitPos(LATD1_bit+0) 
	GOTO        L__StepMotorListener151
L__StepMotorListener150:
	BSF         LATD1_bit+0, BitPos(LATD1_bit+0) 
L__StepMotorListener151:
;step.c,44 :: 		
	MOVFF       R2, FSR0L+0
	MOVFF       R3, FSR0H+0
	MOVF        POSTINC0+0, 0 
	MOVWF       R0 
	BTFSC       R0, 1 
	GOTO        L__StepMotorListener152
	BCF         LATD0_bit+0, BitPos(LATD0_bit+0) 
	GOTO        L__StepMotorListener153
L__StepMotorListener152:
	BSF         LATD0_bit+0, BitPos(LATD0_bit+0) 
L__StepMotorListener153:
;step.c,45 :: 		
	MOVFF       R2, FSR0L+0
	MOVFF       R3, FSR0H+0
	MOVF        POSTINC0+0, 0 
	MOVWF       R0 
	BTFSC       R0, 2 
	GOTO        L__StepMotorListener154
	BCF         LATC2_bit+0, BitPos(LATC2_bit+0) 
	GOTO        L__StepMotorListener155
L__StepMotorListener154:
	BSF         LATC2_bit+0, BitPos(LATC2_bit+0) 
L__StepMotorListener155:
;step.c,46 :: 		
	MOVFF       R2, FSR0L+0
	MOVFF       R3, FSR0H+0
	MOVF        POSTINC0+0, 0 
	MOVWF       R0 
	BTFSC       R0, 3 
	GOTO        L__StepMotorListener156
	BCF         LATB4_bit+0, BitPos(LATB4_bit+0) 
	GOTO        L__StepMotorListener157
L__StepMotorListener156:
	BSF         LATB4_bit+0, BitPos(LATB4_bit+0) 
L__StepMotorListener157:
;step.c,47 :: 		
L_StepMotorListener86:
L_StepMotorListener85:
;step.c,48 :: 		
L_StepMotorListener83:
;step.c,49 :: 		
	GOTO        L_StepMotorListener87
L_StepMotorListener82:
;step.c,51 :: 		
	BCF         LATD1_bit+0, BitPos(LATD1_bit+0) 
;step.c,52 :: 		
	BCF         LATD0_bit+0, BitPos(LATD0_bit+0) 
;step.c,53 :: 		
	BCF         LATC2_bit+0, BitPos(LATC2_bit+0) 
;step.c,54 :: 		
	BCF         LATB4_bit+0, BitPos(LATB4_bit+0) 
;step.c,55 :: 		
L_StepMotorListener87:
;step.c,56 :: 		
L_StepMotorListener81:
;step.c,57 :: 		
L_end_StepMotorListener:
	RETURN      0
; end of _StepMotorListener

_SetStepMotor:

;step.c,59 :: 		
;step.c,60 :: 		
	MOVLW       20
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVF        FARG_SetStepMotor_time+0, 0 
	MOVWF       R0 
	MOVF        FARG_SetStepMotor_time+1, 0 
	MOVWF       R1 
	CALL        _Div_16X16_U+0, 0
	MOVF        R0, 0 
	MOVWF       FARG_SetStepMotor_time+0 
	MOVF        R1, 0 
	MOVWF       FARG_SetStepMotor_time+1 
;step.c,61 :: 		
L_SetStepMotor88:
	MOVLW       128
	XORWF       FARG_SetStepMotor_step+1, 0 
	MOVWF       R0 
	MOVLW       128
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__SetStepMotor159
	MOVLW       0
	SUBWF       FARG_SetStepMotor_step+0, 0 
L__SetStepMotor159:
	BTFSS       STATUS+0, 0 
	GOTO        L__SetStepMotor104
	MOVLW       128
	MOVWF       R0 
	MOVLW       128
	XORWF       FARG_SetStepMotor_step+1, 0 
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__SetStepMotor160
	MOVF        FARG_SetStepMotor_step+0, 0 
	SUBLW       0
L__SetStepMotor160:
	BTFSS       STATUS+0, 0 
	GOTO        L__SetStepMotor104
	GOTO        L_SetStepMotor89
L__SetStepMotor104:
;step.c,62 :: 		
	MOVLW       _stepFull+0
	MOVWF       R1 
	MOVLW       hi_addr(_stepFull+0)
	MOVWF       R2 
	MOVF        _stepIndex+0, 0 
	ADDWF       R1, 1 
	MOVLW       0
	BTFSC       _stepIndex+0, 7 
	MOVLW       255
	ADDWFC      R2, 1 
	MOVFF       R1, FSR0L+0
	MOVFF       R2, FSR0H+0
	MOVF        POSTINC0+0, 0 
	MOVWF       R0 
	BTFSC       R0, 0 
	GOTO        L__SetStepMotor161
	BCF         LATD1_bit+0, BitPos(LATD1_bit+0) 
	GOTO        L__SetStepMotor162
L__SetStepMotor161:
	BSF         LATD1_bit+0, BitPos(LATD1_bit+0) 
L__SetStepMotor162:
;step.c,63 :: 		
	MOVFF       R1, FSR0L+0
	MOVFF       R2, FSR0H+0
	MOVF        POSTINC0+0, 0 
	MOVWF       R0 
	BTFSC       R0, 1 
	GOTO        L__SetStepMotor163
	BCF         LATD0_bit+0, BitPos(LATD0_bit+0) 
	GOTO        L__SetStepMotor164
L__SetStepMotor163:
	BSF         LATD0_bit+0, BitPos(LATD0_bit+0) 
L__SetStepMotor164:
;step.c,64 :: 		
	MOVFF       R1, FSR0L+0
	MOVFF       R2, FSR0H+0
	MOVF        POSTINC0+0, 0 
	MOVWF       R0 
	BTFSC       R0, 2 
	GOTO        L__SetStepMotor165
	BCF         LATC2_bit+0, BitPos(LATC2_bit+0) 
	GOTO        L__SetStepMotor166
L__SetStepMotor165:
	BSF         LATC2_bit+0, BitPos(LATC2_bit+0) 
L__SetStepMotor166:
;step.c,65 :: 		
	MOVFF       R1, FSR0L+0
	MOVFF       R2, FSR0H+0
	MOVF        POSTINC0+0, 0 
	MOVWF       R0 
	BTFSC       R0, 3 
	GOTO        L__SetStepMotor167
	BCF         LATB4_bit+0, BitPos(LATB4_bit+0) 
	GOTO        L__SetStepMotor168
L__SetStepMotor167:
	BSF         LATB4_bit+0, BitPos(LATB4_bit+0) 
L__SetStepMotor168:
;step.c,67 :: 		
	MOVF        FARG_SetStepMotor_time+0, 0 
	MOVWF       FARG_step_delay_10us_time+0 
	MOVF        FARG_SetStepMotor_time+1, 0 
	MOVWF       FARG_step_delay_10us_time+1 
	CALL        _step_delay_10us+0, 0
;step.c,69 :: 		
	MOVF        FARG_SetStepMotor_mode+0, 0 
	XORLW       1
	BTFSS       STATUS+0, 2 
	GOTO        L_SetStepMotor92
;step.c,70 :: 		
	MOVLW       _stepHalf+0
	MOVWF       R1 
	MOVLW       hi_addr(_stepHalf+0)
	MOVWF       R2 
	MOVF        _stepIndex+0, 0 
	ADDWF       R1, 1 
	MOVLW       0
	BTFSC       _stepIndex+0, 7 
	MOVLW       255
	ADDWFC      R2, 1 
	MOVFF       R1, FSR0L+0
	MOVFF       R2, FSR0H+0
	MOVF        POSTINC0+0, 0 
	MOVWF       R0 
	BTFSC       R0, 0 
	GOTO        L__SetStepMotor169
	BCF         LATD1_bit+0, BitPos(LATD1_bit+0) 
	GOTO        L__SetStepMotor170
L__SetStepMotor169:
	BSF         LATD1_bit+0, BitPos(LATD1_bit+0) 
L__SetStepMotor170:
;step.c,71 :: 		
	MOVFF       R1, FSR0L+0
	MOVFF       R2, FSR0H+0
	MOVF        POSTINC0+0, 0 
	MOVWF       R0 
	BTFSC       R0, 1 
	GOTO        L__SetStepMotor171
	BCF         LATD0_bit+0, BitPos(LATD0_bit+0) 
	GOTO        L__SetStepMotor172
L__SetStepMotor171:
	BSF         LATD0_bit+0, BitPos(LATD0_bit+0) 
L__SetStepMotor172:
;step.c,72 :: 		
	MOVFF       R1, FSR0L+0
	MOVFF       R2, FSR0H+0
	MOVF        POSTINC0+0, 0 
	MOVWF       R0 
	BTFSC       R0, 2 
	GOTO        L__SetStepMotor173
	BCF         LATC2_bit+0, BitPos(LATC2_bit+0) 
	GOTO        L__SetStepMotor174
L__SetStepMotor173:
	BSF         LATC2_bit+0, BitPos(LATC2_bit+0) 
L__SetStepMotor174:
;step.c,73 :: 		
	MOVFF       R1, FSR0L+0
	MOVFF       R2, FSR0H+0
	MOVF        POSTINC0+0, 0 
	MOVWF       R0 
	BTFSC       R0, 3 
	GOTO        L__SetStepMotor175
	BCF         LATB4_bit+0, BitPos(LATB4_bit+0) 
	GOTO        L__SetStepMotor176
L__SetStepMotor175:
	BSF         LATB4_bit+0, BitPos(LATB4_bit+0) 
L__SetStepMotor176:
;step.c,74 :: 		
	GOTO        L_SetStepMotor93
L_SetStepMotor92:
;step.c,76 :: 		
	MOVLW       _stepFull+0
	MOVWF       R1 
	MOVLW       hi_addr(_stepFull+0)
	MOVWF       R2 
	MOVF        _stepIndex+0, 0 
	ADDWF       R1, 1 
	MOVLW       0
	BTFSC       _stepIndex+0, 7 
	MOVLW       255
	ADDWFC      R2, 1 
	MOVFF       R1, FSR0L+0
	MOVFF       R2, FSR0H+0
	MOVF        POSTINC0+0, 0 
	MOVWF       R0 
	BTFSC       R0, 0 
	GOTO        L__SetStepMotor177
	BCF         LATD1_bit+0, BitPos(LATD1_bit+0) 
	GOTO        L__SetStepMotor178
L__SetStepMotor177:
	BSF         LATD1_bit+0, BitPos(LATD1_bit+0) 
L__SetStepMotor178:
;step.c,77 :: 		
	MOVFF       R1, FSR0L+0
	MOVFF       R2, FSR0H+0
	MOVF        POSTINC0+0, 0 
	MOVWF       R0 
	BTFSC       R0, 1 
	GOTO        L__SetStepMotor179
	BCF         LATD0_bit+0, BitPos(LATD0_bit+0) 
	GOTO        L__SetStepMotor180
L__SetStepMotor179:
	BSF         LATD0_bit+0, BitPos(LATD0_bit+0) 
L__SetStepMotor180:
;step.c,78 :: 		
	MOVFF       R1, FSR0L+0
	MOVFF       R2, FSR0H+0
	MOVF        POSTINC0+0, 0 
	MOVWF       R0 
	BTFSC       R0, 2 
	GOTO        L__SetStepMotor181
	BCF         LATC2_bit+0, BitPos(LATC2_bit+0) 
	GOTO        L__SetStepMotor182
L__SetStepMotor181:
	BSF         LATC2_bit+0, BitPos(LATC2_bit+0) 
L__SetStepMotor182:
;step.c,79 :: 		
	MOVFF       R1, FSR0L+0
	MOVFF       R2, FSR0H+0
	MOVF        POSTINC0+0, 0 
	MOVWF       R0 
	BTFSC       R0, 3 
	GOTO        L__SetStepMotor183
	BCF         LATB4_bit+0, BitPos(LATB4_bit+0) 
	GOTO        L__SetStepMotor184
L__SetStepMotor183:
	BSF         LATB4_bit+0, BitPos(LATB4_bit+0) 
L__SetStepMotor184:
;step.c,80 :: 		
L_SetStepMotor93:
;step.c,82 :: 		
	MOVF        FARG_SetStepMotor_time+0, 0 
	MOVWF       FARG_step_delay_10us_time+0 
	MOVF        FARG_SetStepMotor_time+1, 0 
	MOVWF       FARG_step_delay_10us_time+1 
	CALL        _step_delay_10us+0, 0
;step.c,85 :: 		
	MOVLW       128
	MOVWF       R0 
	MOVLW       128
	XORWF       FARG_SetStepMotor_step+1, 0 
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__SetStepMotor185
	MOVF        FARG_SetStepMotor_step+0, 0 
	SUBLW       0
L__SetStepMotor185:
	BTFSC       STATUS+0, 0 
	GOTO        L_SetStepMotor94
;step.c,86 :: 		
	INCF        _stepIndex+0, 1 
;step.c,87 :: 		
	MOVLW       1
	SUBWF       FARG_SetStepMotor_step+0, 1 
	MOVLW       0
	SUBWFB      FARG_SetStepMotor_step+1, 1 
;step.c,88 :: 		
	MOVLW       128
	XORLW       3
	MOVWF       R0 
	MOVLW       128
	XORWF       _stepIndex+0, 0 
	SUBWF       R0, 0 
	BTFSC       STATUS+0, 0 
	GOTO        L_SetStepMotor95
;step.c,89 :: 		
	CLRF        _stepIndex+0 
L_SetStepMotor95:
;step.c,90 :: 		
	GOTO        L_SetStepMotor96
L_SetStepMotor94:
;step.c,91 :: 		
	MOVLW       128
	XORWF       FARG_SetStepMotor_step+1, 0 
	MOVWF       R0 
	MOVLW       128
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__SetStepMotor186
	MOVLW       0
	SUBWF       FARG_SetStepMotor_step+0, 0 
L__SetStepMotor186:
	BTFSC       STATUS+0, 0 
	GOTO        L_SetStepMotor97
;step.c,92 :: 		
	DECF        _stepIndex+0, 1 
;step.c,93 :: 		
	INFSNZ      FARG_SetStepMotor_step+0, 1 
	INCF        FARG_SetStepMotor_step+1, 1 
;step.c,94 :: 		
	MOVLW       128
	XORWF       _stepIndex+0, 0 
	MOVWF       R0 
	MOVLW       128
	XORLW       0
	SUBWF       R0, 0 
	BTFSC       STATUS+0, 0 
	GOTO        L_SetStepMotor98
;step.c,95 :: 		
	MOVLW       3
	MOVWF       _stepIndex+0 
L_SetStepMotor98:
;step.c,96 :: 		
L_SetStepMotor97:
L_SetStepMotor96:
;step.c,97 :: 		
	GOTO        L_SetStepMotor88
L_SetStepMotor89:
;step.c,99 :: 		
	BCF         LATD1_bit+0, BitPos(LATD1_bit+0) 
;step.c,100 :: 		
	BCF         LATD0_bit+0, BitPos(LATD0_bit+0) 
;step.c,101 :: 		
	BCF         LATC2_bit+0, BitPos(LATC2_bit+0) 
;step.c,102 :: 		
	BCF         LATB4_bit+0, BitPos(LATB4_bit+0) 
;step.c,103 :: 		
L_end_SetStepMotor:
	RETURN      0
; end of _SetStepMotor

_Interrupt:

;interrupt.c,1 :: 		void Interrupt(){
;interrupt.c,3 :: 		if (TMR2IF_bit){
	BTFSS       TMR2IF_bit+0, BitPos(TMR2IF_bit+0) 
	GOTO        L_Interrupt99
;interrupt.c,4 :: 		TMR2IF_bit = 0;
	BCF         TMR2IF_bit+0, BitPos(TMR2IF_bit+0) 
;interrupt.c,6 :: 		UpdateExternalPorts();
	CALL        _UpdateExternalPorts+0, 0
;interrupt.c,7 :: 		RGB_Listener();
	CALL        _RGB_Listener+0, 0
;interrupt.c,8 :: 		StepMotorListener(location, speed);
	MOVF        _location+0, 0 
	MOVWF       FARG_StepMotorListener_location+0 
	MOVF        _location+1, 0 
	MOVWF       FARG_StepMotorListener_location+1 
	MOVF        _speed+0, 0 
	MOVWF       FARG_StepMotorListener_time+0 
	MOVF        _speed+1, 0 
	MOVWF       FARG_StepMotorListener_time+1 
	CALL        _StepMotorListener+0, 0
;interrupt.c,9 :: 		}
L_Interrupt99:
;interrupt.c,10 :: 		}
L_end_Interrupt:
L__Interrupt188:
	RETFIE      1
; end of _Interrupt

_main:

;main.c,18 :: 		void main() {
;main.c,19 :: 		InitMCU();
	CALL        _InitMCU+0, 0
;main.c,21 :: 		InitStep();                           // Step Motoru Hazirla
	CALL        _InitStep+0, 0
;main.c,23 :: 		LCD_Out(1,1,"     TRUDYO     ");      // 1.satir 1.stuna "     TRUDYO     " yaz
	MOVLW       1
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       1
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       ?lstr1_main+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(?lstr1_main+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;main.c,24 :: 		LCD_Out(2,1," BASLANGIC KITI ");      // 2.satir 1.stuna " BASLANGIC KITI " yaz
	MOVLW       2
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       1
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       ?lstr2_main+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(?lstr2_main+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;main.c,25 :: 		wait(1000);                           // 1 saniye bekle
	MOVLW       232
	MOVWF       FARG_wait_time+0 
	MOVLW       3
	MOVWF       FARG_wait_time+1 
	CALL        _wait+0, 0
;main.c,27 :: 		LCD_Out(1,1,"    28BYJ-48    ");      // 1.satir 1.stuna "    28BYJ-48    " yaz
	MOVLW       1
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       1
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       ?lstr3_main+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(?lstr3_main+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;main.c,28 :: 		LCD_Out(2,1," STEP MOTOR UYG ");      // 2.satir 1.stuna " STEP MOTOR UYG " yaz
	MOVLW       2
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       1
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       ?lstr4_main+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(?lstr4_main+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;main.c,29 :: 		wait(1000);                           // 1 saniye bekle
	MOVLW       232
	MOVWF       FARG_wait_time+0 
	MOVLW       3
	MOVWF       FARG_wait_time+1 
	CALL        _wait+0, 0
;main.c,31 :: 		LCD_Out(1,1,"HIZ:            ");      // 1.satir 1.stuna "HIZ:            " yaz
	MOVLW       1
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       1
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       ?lstr5_main+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(?lstr5_main+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;main.c,32 :: 		LCD_Out(2,1,"KONUM:          ");      // 2.satir 1.stuna "KONUM:          " yaz
	MOVLW       2
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       1
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       ?lstr6_main+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(?lstr6_main+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;main.c,35 :: 		while(1){
L_main100:
;main.c,37 :: 		speed=3000+ADC_Read(1)*7;              // Hiz 3000~10000us arasinda
	MOVLW       1
	MOVWF       FARG_ADC_Read_channel+0 
	CALL        _ADC_Read+0, 0
	MOVLW       7
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	CALL        _Mul_16X16_U+0, 0
	MOVLW       184
	ADDWF       R0, 1 
	MOVLW       11
	ADDWFC      R1, 1 
	MOVF        R0, 0 
	MOVWF       _speed+0 
	MOVF        R1, 0 
	MOVWF       _speed+1 
;main.c,38 :: 		LCD_PrintInt(1,12,speed,5);            // 5 basamakli speed degerini 1.satir 12.stuna yaz
	MOVLW       1
	MOVWF       FARG_LCD_PrintInt_row+0 
	MOVLW       12
	MOVWF       FARG_LCD_PrintInt_col+0 
	MOVF        R0, 0 
	MOVWF       FARG_LCD_PrintInt_number+0 
	MOVF        R1, 0 
	MOVWF       FARG_LCD_PrintInt_number+1 
	MOVLW       5
	MOVWF       FARG_LCD_PrintInt_digits+0 
	CALL        _LCD_PrintInt+0, 0
;main.c,41 :: 		location=ADC_Read(3)*2;                // Konum 0-2048 arasinda olacak sekilde ayarlandi
	MOVLW       3
	MOVWF       FARG_ADC_Read_channel+0 
	CALL        _ADC_Read+0, 0
	MOVF        R0, 0 
	MOVWF       _location+0 
	MOVF        R1, 0 
	MOVWF       _location+1 
	RLCF        _location+0, 1 
	BCF         _location+0, 0 
	RLCF        _location+1, 1 
;main.c,42 :: 		LCD_PrintInt(2,8,currentLocation,4);   // 4 basamakli currentLocation degerini 2.satir 8.stuna yaz
	MOVLW       2
	MOVWF       FARG_LCD_PrintInt_row+0 
	MOVLW       8
	MOVWF       FARG_LCD_PrintInt_col+0 
	MOVF        _currentLocation+0, 0 
	MOVWF       FARG_LCD_PrintInt_number+0 
	MOVF        _currentLocation+1, 0 
	MOVWF       FARG_LCD_PrintInt_number+1 
	MOVLW       4
	MOVWF       FARG_LCD_PrintInt_digits+0 
	CALL        _LCD_PrintInt+0, 0
;main.c,43 :: 		Lcd_Chr(2,12,'/');                     // 2.satir 12.stuna / karakterini yazdir
	MOVLW       2
	MOVWF       FARG_Lcd_Chr_row+0 
	MOVLW       12
	MOVWF       FARG_Lcd_Chr_column+0 
	MOVLW       47
	MOVWF       FARG_Lcd_Chr_out_char+0 
	CALL        _Lcd_Chr+0, 0
;main.c,44 :: 		LCD_PrintInt(2,13,location,4);         // 4 basamakli location degerini 2.satir 13.stuna yaz
	MOVLW       2
	MOVWF       FARG_LCD_PrintInt_row+0 
	MOVLW       13
	MOVWF       FARG_LCD_PrintInt_col+0 
	MOVF        _location+0, 0 
	MOVWF       FARG_LCD_PrintInt_number+0 
	MOVF        _location+1, 0 
	MOVWF       FARG_LCD_PrintInt_number+1 
	MOVLW       4
	MOVWF       FARG_LCD_PrintInt_digits+0 
	CALL        _LCD_PrintInt+0, 0
;main.c,45 :: 		}
	GOTO        L_main100
;main.c,46 :: 		}
L_end_main:
	GOTO        $+0
; end of _main
